package com.google.android.gms.common.api;

import X.AnonymousClass914;
import X.AnonymousClass93B;
import X.C36088vf;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;

public final class Scope extends AbstractSafeParcelable implements ReflectedParcelable {
    public static final Parcelable.Creator<Scope> CREATOR = new AnonymousClass93B();
    public final String LIZ;
    public final int LIZIZ;

    public final String toString() {
        return this.LIZ;
    }

    public final int hashCode() {
        return this.LIZ.hashCode();
    }

    static {
        Covode.recordClassIndex(42589);
    }

    public Scope(String str) {
        this(1, str);
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Scope)) {
            return false;
        }
        return this.LIZ.equals(((Scope) obj).LIZ);
    }

    public Scope(int i, String str) {
        AnonymousClass914.LIZ(str, (Object) "scopeUri must not be null or empty");
        this.LIZIZ = i;
        this.LIZ = str;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int LIZ2 = C36088vf.LIZ(parcel, 20293);
        C36088vf.LIZIZ(parcel, 1, this.LIZIZ);
        C36088vf.LIZ(parcel, 2, this.LIZ);
        C36088vf.LIZIZ(parcel, LIZ2);
    }
}
